Talk:Ubuntu Gutsy Installation Guide

From cchtml.com
Revision as of 09:36, 24 November 2007 by 87.2.201.133 (Talk)

Jump to: navigation, search

Need update the topic to Catalyst 7.11

Can anyone update the installation method 2 to AMD Catalyst 7.11? The procedure is the same or not? Has hanyone tested it?


-> I just tested the procedure. It is the (nearly) same ... Found some issues till it worked for me.

 sudo gedit /etc/init.d/ati-module-fix

In ati-module-fix I replaced

 ln -sf /lib/modules/$(uname -r)/misc/fglrx.ko /lib/modules/$(uname -r)/volatile/

with

 ln -sf /lib/modules/$(uname -r)/misc/fglrx.ko /lib/modules/$(uname -r)/volatile/fglrx.ko

after savig the file

 sudo chmod +x /etc/init.d/ati-module-fix

In my installation gdm starts with sequence 13. So I did

 sudo update-rc.d ati-module-fix defaults 12


"If you check the box to enable the restricted driver and reboot, it should work."

If I check the the box in "resricted manager" the line

 DISABLED_MODULES="fglrx" 

in etc/default/linux-restricted-modules-common is changed back to

 DISABLED_MODULES=""

I leaved it unchecked now.


So my "restricted manager" reports for the ATI driver activated: no in use: yes


EDIT (subvertigo): doesn't work for me... then I solved removing the surrounding IF statement in the ati-module-fix ! Now it works! Can you explain me how find gdm sequence number (i don't know what it is).

EDIT (exyll): Removing the IF statement does NOT work for me. On my system GDM is listed as 30gdm. You can retrieve the sequence number(s) by running the following statement:

ls /etc/rc2.d/

Updated some information only applicable for Gutsy

I've updated some minor details about the fglrx-installation in Gutsy:

  • By default, Gutsy (and Feisty too) now have Universe and Multiverse enabled
  • The fglrx-version in Gutsy's linux-restricted-modules is 8.37.6 and not 8.28.8

Jealma 04:35, 19 October 2007 (CDT)

libGL error

  • fglrxinfo gives: libGL.so.1: cannot open shared object file.
  • Fixed with command:
sudo ln /usr/lib/libGL.so.1.2 /usr/lib/libGL.so.1

installation hint

I followed this guide and fglrxinfo yielded the desired output.

But then I still got the following problems:

  • crash/restart of X when trying to run glxgears
  • crash/restart of X when trying to watch mythtv recording
  • visual artefacts from window creation

The cause I assumed in that:

glxinfo | grep direct

did not yield 'yes' but 'no' and 'Mesa Indirect'

Long search, quick solution:

sudo apt-get remove xserver-xgl

Note: I don't really know what this actually does in the context of a desired installation, so try at your own risk. I assume this being installed from my earlier Feisty installation where I tried out compiz and AIGLX was not supported by the driver.

After removing the xserver-xgl package, all problems described above vanished.

Maybe someone with more detailed knowledge might find it useful to add a paragraph to the page.

Comment: I had a lot of trouble until I found your solution. Removing xserver-xgl made most of the graphical artifacts disappear (I still have some black bars in the bottom right corner of one screen), and made my dual screen setup work again. Should this be in the general guide?

Comment: I was seeing some very similar behavior after following this tutorial. glxgears would cause gdm to crash and the artifacts were left on the screen. The system would also be dog slow, moving windows was very laggy. Removing xserver-xgl did the trick for me!

still Mesa

Hi,

I never had problems until Gutsy & 7.11 came:

(bmhm@Sentinux)[~] $ cat /var/log/Xorg.0.log | grep "(WW)"
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
(WW) Including the default font path  /usr/share/fonts/X11/misc,/usr/share/fonts/X11/cyrillic,/usr/share/fonts/X11/100dpi/:unscaled,/usr/share/fonts/X11/75dpi/:unscaled,/usr/share/fonts/X11/Type1,/usr/share/fonts/X11/100dpi,/usr/share/fonts/X11/75dpi,/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType.
(WW) fglrx(0): board is an unknown third party board, chipset is supported
(WW) fglrx(0): ***********************************************
(WW) fglrx(0): * DRI initialization failed!                  *
(WW) fglrx(0): * (maybe driver kernel module missing or bad) *
(WW) fglrx(0): * 2D acceleraton available (MMIO)             *
(WW) fglrx(0): * no 3D acceleration available                *
(WW) fglrx(0): ********************************************* *

and

(bmhm@Sentinux)[~] $  cat /var/log/Xorg.0.log | grep "(EE)"
(EE) fglrx(0): [pcie] Failed to gather memory of size 262144Kb for PCIe. Error (-1000)
(EE) fglrx(0): atiddxDriScreenInit failed, GPS not been initialized. 
(EE) AIGLX: Screen 0 is not DRI capable

Any Ideas? It did work before (on feisty, using older drivers)!! Help!! --212.62.64.34 14:08, 22 November 2007 (CST)

NEW (by subvertigo): I have the same identical problem (identical logs). Before with Feisty+8.43.2 or Gutsy+8.43.2 i had no problems... :-( My pc is a Dell Inspiron 6400 with ATI X1400. fglrinfo reports using Mesa drivers.

I tried to add or remove "fglrx" from /etc/default/linux-restricted-modules-common and it has no effects. The "restricted manager" signals that ati driver is not in use when fglrx is blacklisted. I don't understand if it have to be blacklisted or not.

I SOLVED (subvertigo): The problem was the fglrx.ko . The symbolic link have been overwritten at each reboot. Check if the fglrx.ko in the "volatile" folder is a symbolic link or not to that in the "misc" folder (Gnome reports an arrow on the icon if it is, and must have the same dimension). If it is the same problem see the first paragraph to see how I solved.

The symbolic link is gone after a reboot. Filesize of the one in the misc folder is 2084611 bytes and the one in the volatile folder is 1058754 bytes. I don't know where/what this copying is done. :(

Performing the following command:

find / -name 'fglrx*.ko'

Results in:

/lib/modules/2.6.22-14-generic/volatile/fglrx.ko
/lib/modules/2.6.22-14-generic/misc/fglrx.ko

So where this 1058754 bytes sized version exists on the system is unclear to me.

Install .deb packages:

Update for the 7.11 article.

Previous:

sudo dpkg -i xorg-driver-fglrx_8.42.3-1*.deb \
fglrx-kernel-source_8.42.3-1*.deb \
fglrx-amdcccle_8.42.3-1*.deb

7.11:

sudo dpkg -i xorg-driver-fglrx_8.433-1_i386.deb \
fglrx-kernel-source_8.433-1_i386.deb \
fglrx-amdcccle_8.433-1_i386.deb

(Partially) Installed but 7.11 Driver NOT used

The catalyst control center is available under "accessories" and list the following.

Software:

  • Driver version : 8.43.2
  • Catalyst Control Center Version : 1.6

OpenGL:

  • .. Provider : Mesa project ...
  • .. Renderer : Mesa GLX Indirect
  • .. Version : 1.4 (2.1 Mesa 7.0.1)

Checklist:

  • "Restricted" repositories not commented
  • The "restricter driver manager" says that the driver is enabled and in use.
  • Symbolic link exists

Really don't know what the problem is.

EDIT (subvertigo) The problem is almost surely the "fglrx.ko"... see the first paragraph for the solution.